Bug 146942 - [patch] x11-wm/stumpwm: update to 0.9.7
Summary: [patch] x11-wm/stumpwm: update to 0.9.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-25 06:30 UTC by swell.k
Modified: 2010-06-05 12:10 UTC (History)
0 users

See Also:


Attachments
a.diff (2.87 KB, patch)
2010-05-25 06:30 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-05-25 06:30:03 UTC
- update
- mark MAKE_JOBS_UNSAFE
- fix `makesum' target when clisp is not installed
- add support to build with sbcl
Comment 1 swell.k 2010-05-25 06:31:48 UTC
Oops, fix this portlint warning:

  WARN: Makefile: no need to define EXTRACT_SUFX if DISTFILES is defined.

--- a.diff begins here ---
diff --git x11-wm/stumpwm/Makefile x11-wm/stumpwm/Makefile
index 4b3c7b5..4c8c5db 100644
--- x11-wm/stumpwm/Makefile
+++ x11-wm/stumpwm/Makefile
@@ -9,8 +9,7 @@ PORTNAME=	stumpwm
 PORTVERSION=	0.9.7
 CATEGORIES=	x11-wm
 MASTER_SITES=	SAVANNAH
-EXTRACT_SUFX=	.tgz
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
+DISTFILES=	${DISTNAME}.tgz
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A tiling, keyboard driven Window Manager written in Common Lisp
--- a.diff ends here ---
Comment 2 Max Brazhnikov freebsd_committer 2010-06-01 08:57:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 dfilter service freebsd_committer 2010-06-05 12:04:37 UTC
makc        2010-06-05 11:04:14 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/stumpwm       Makefile distinfo 
  Log:
  Update to 0.9.7
  Mark MAKE_JOBS_UNSAFE
  Fix `makesum' target when clisp is not installed
  Add option to build with sbcl
  
  PR:             ports/146942
  Submitted by:   Anonymous <swell.k at gmail.com>
  
  Revision  Changes    Path
  1.7       +35 -11    ports/x11-wm/stumpwm/Makefile
  1.5       +6 -3      ports/x11-wm/stumpwm/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2010-06-05 12:07:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!